Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## cascading.pipe.joiner
Interface Joiner

All Superinterfaces:
  Serializable

All Known Implementing Classes:
  InnerJoin, LeftJoin, MixedJoin, OuterJoin, RightJoin

    public interface Joiner

extends Serializable

Interface Joiner allows for custom join strategies against a `CoGroup`.

Joins perform based on the equality of the join keys. In the case of null values, Java treats two null values as equivalent. SQL does not treat null values as equal. To produce SQL like results in a given join, a new `Comparator` will need to be used on the joined values to prevent null from equaling null. As a convenience, see the `NullNotEquivalentComparator` class.

Method Summary
`Iterator<Tuple>` | `getIterator(JoinerClosure closure)` Returns an iterator that joins the given CoGroupClosure co-groups.
`int` | `numJoins()` Returns the number of joins this instance can handle.

Method Detail

### getIterator

    Iterator<Tuple> getIterator(JoinerClosure closure)

  Returns an iterator that joins the given CoGroupClosure co-groups.

  Parameters:
    `closure` - of type GroupClosure
  Returns:
    an iterator

### numJoins

    int numJoins()

  Returns the number of joins this instance can handle. A value of -1 denotes there is no limit.

  Returns:
    an int

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2007-2013 Concurrent, Inc. All Rights Reserved.